# MySQL Navigator Xport
# Database: services
# root@localhost

# CREATE DATABASE services;
# USE services;

#
# Table structure for table 'akick'
#

# DROP TABLE IF EXISTS akick;
CREATE TABLE `akick` (
  `chan` varchar(32) NOT NULL default '',
  `nick` varchar(30) NOT NULL default '',
  `ident` varchar(10) NOT NULL default '',
  `host` varchar(64) NOT NULL default '',
  `adder` varchar(30) NOT NULL default '',
  `reason` text,
  PRIMARY KEY  (`chan`,`nick`,`ident`,`host`),
  KEY `chan` (`chan`)
) TYPE=MyISAM;

#
# Table structure for table 'bot'
#

# DROP TABLE IF EXISTS bot;
CREATE TABLE `bot` (
  `nick` char(30) NOT NULL default '',
  `ident` char(10) NOT NULL default '',
  `vhost` char(64) NOT NULL default '',
  `gecos` char(50) NOT NULL default '',
  `flags` mediumint NOT NULL default 1,
  PRIMARY KEY  (`nick`)
) TYPE=MyISAM;

#
# Table structure for table 'chan'
#

# DROP TABLE IF EXISTS chan;
CREATE TABLE `chan` (
  `chan` char(32) NOT NULL default '',
  `modes` char(63) binary NOT NULL default '',
  `seq` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`chan`)
) TYPE=HEAP;

#
# Table structure for table 'chanacc'
#

# DROP TABLE IF EXISTS chanacc;
CREATE TABLE `chanacc` (
  `chan` char(32) NOT NULL default '',
  `nick` char(30) NOT NULL default '',
  `level` tinyint(3) NOT NULL default '0',
  `adder` char(30) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default 0,
  PRIMARY KEY  (`chan`,`nick`)
) TYPE=MyISAM;

#
# Table structure for table 'chanlvl'
#

# DROP TABLE IF EXISTS chanlvl;
CREATE TABLE `chanlvl` (
  `chan` char(32) NOT NULL default '',
  `perm` smallint(5) unsigned NOT NULL default '0',
  `level` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`chan`,`perm`)
) TYPE=MyISAM;

#
# Table structure for table 'chanperm'
#

# DROP TABLE IF EXISTS chanperm;
CREATE TABLE `chanperm` (
  `name` char(10) NOT NULL default '',
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `level` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`name`),
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM;

#
# Table structure for table 'chanreg'
#

# DROP TABLE IF EXISTS chanreg;
CREATE TABLE `chanreg` (
  `chan` varchar(32) NOT NULL default '',
  `pass` varchar(127) binary NOT NULL default '',
  `descrip` varchar(255) default NULL,
  `regd` int(11) unsigned NOT NULL default '0',
  `last` int(11) unsigned NOT NULL default '0',
  `topic` text NOT NULL,
  `topicer` varchar(30) NOT NULL default '',
  `topicd` int(11) unsigned NOT NULL default '0',
  `modelock` varchar(63) binary NOT NULL default '+ntr',
  `founder` varchar(30) NOT NULL default '',
  `successor` varchar(30) default NULL,
  `bot` varchar(30) NOT NULL default '',
  `flags` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`chan`)
) TYPE=MyISAM;

#
# Table structure for table 'chanuser'
#

# DROP TABLE IF EXISTS chanuser;
CREATE TABLE `chanuser` (
  `seq` mediumint(8) unsigned NOT NULL default '0',
  `nickid` int(11) unsigned NOT NULL default '0',
  `chan` char(32) NOT NULL default '',
  `joined` tinyint(3) unsigned NOT NULL default '0',
  `op` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`nickid`,`chan`),
  KEY `chan` (`chan`),
  KEY `nickid` (`nickid`)
) TYPE=HEAP;

#
# Table structure for table 'ircop'
#

# DROP TABLE IF EXISTS ircop;
CREATE TABLE `ircop` (
  `nick` char(30) NOT NULL default '',
  `level` tinyint(3) unsigned NOT NULL default '0',
  `pass` char(127) binary NOT NULL default '',
  PRIMARY KEY  (`nick`)
) TYPE=MyISAM;

#
# Table structure for table 'logonnews'
#

# DROP TABLE IF EXISTS logonnews;
CREATE TABLE `logonnews` (
  `setter` char(30) NOT NULL default '',
  `type` char(1) NOT NULL default 'u',
  `id` tinyint(3) unsigned NOT NULL default 0,
  `time` int(11) unsigned NOT NULL default '0',
  `expire` int(11) unsigned NOT NULL default '0',
  `msg` text NOT NULL
) TYPE=MyISAM;

#
# Table structure for table 'welcome'
#
CREATE TABLE `welcome` (
  `chan` varchar(32) NOT NULL default '',
  `id` tinyint(3) NOT NULL default '',
  `adder` varchar(30) NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  `msg` text NOT NULL default '',
  PRIMARY KEY (`chan`, `id`)
);

#
# Table structure for table 'memo'
#

# DROP TABLE IF EXISTS memo;
CREATE TABLE `memo` (
  `src` varchar(30) NOT NULL default '',
  `dst` varchar(30) NOT NULL default '',
  `chan` varchar(32) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  `flag` tinyint(3) unsigned NOT NULL default '0',
  `msg` text NOT NULL,
  PRIMARY KEY  (`src`,`dst`,`chan`,`time`),
  KEY `dst` (`dst`)
) TYPE=MyISAM;

#
# Table structure for table 'nickalias'
#

# DROP TABLE IF EXISTS nickalias;
CREATE TABLE `nickalias` (
  `root` char(30) NOT NULL default '',
  `alias` char(30) NOT NULL default '',
  `protect` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`root`,`alias`),
  UNIQUE KEY `alias` (`alias`),
  KEY `root` (`root`)
) TYPE=MyISAM;

#
# Table structure for table 'nickchg'
#

# DROP TABLE IF EXISTS nickchg;
CREATE TABLE `nickchg` (
  `seq` mediumint(8) unsigned NOT NULL default '0',
  `nickid` int(11) unsigned NOT NULL default '0',
  `nick` char(30) NOT NULL default '',
  PRIMARY KEY  (`nick`)
) TYPE=HEAP;

#
# Table structure for table 'nickid'
#

# DROP TABLE IF EXISTS nickid;
CREATE TABLE `nickid` (
  `id` int(11) unsigned NOT NULL default '0',
  `nick` char(30) NOT NULL default '',
  PRIMARY KEY  (`id`,`nick`),
  KEY `id` (`id`)
) TYPE=HEAP;

#
# Table structure for table 'nickreg'
#

# DROP TABLE IF EXISTS nickreg;
CREATE TABLE `nickreg` (
  `nick` char(30) NOT NULL default '',
  `pass` char(127) binary NOT NULL default '',
  `email` char(127) NOT NULL default '',
  `regd` int(11) unsigned NOT NULL default '0',
  `last` int(11) unsigned NOT NULL default '0',
  `flags` mediumint(3) unsigned NOT NULL default '1',
  `ident` char(10) NOT NULL default '',
  `vhost` char(64) NOT NULL default '',
  `gecos` char(50) NOT NULL default '',
  `quit` char(127) NOT NULL default '',
  `nearexp` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`nick`)
) TYPE=MyISAM;

CREATE TABLE `sesexname` (
  `host` varchar(64) NOT NULL default '',
  `serv` tinyint(1) NOT NULL default 0,
  `adder` varchar(3) NOT NULL default '',
  `lim` mediumint(8) unsigned NOT NULL default 0,
  `reason` varchar(255) NOT NULL default '',
  PRIMARY KEY (`host`)
);

CREATE TABLE `sesexip` (
  `ip` int(10) unsigned NOT NULL default '',
  `mask` tinyint(3) NOT NULL default 0,
  `adder` varchar(3) NOT NULL default '',
  `lim` mediumint(8) unsigned NOT NULL default 0,
  `reason` varchar(255) NOT NULL default '',
  PRIMARY KEY (`ip`)
);

#
# Table structure for table 'olduser'
#

# DROP TABLE IF EXISTS olduser;
CREATE TABLE `olduser` (
  `id` int(11) unsigned NOT NULL default '0',
  `nick` char(30) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  `inval` tinyint(4) NOT NULL default '0',
  `ident` char(10) NOT NULL default '',
  `host` char(64) NOT NULL default '',
  `vhost` char(64) NOT NULL default '',
  `server` char(64) NOT NULL default '',
  `modes` char(30) NOT NULL default '',
  `gecos` char(50) NOT NULL default '',
  `guest` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nick` (`nick`)
) TYPE=HEAP;

#
# Table structure for table 'qline'
#

# DROP TABLE IF EXISTS qline;
CREATE TABLE `qline` (
  `mask` varchar(30) NOT NULL default '',
  `setter` varchar(30) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  `expire` int(11) unsigned NOT NULL default '0',
  `reason` text NOT NULL,
  PRIMARY KEY  (`mask`),
  KEY `time` (`time`),
  KEY `expire` (`expire`)
) TYPE=MyISAM;

#
# Table structure for table 'silence'
#

# DROP TABLE IF EXISTS silence;
CREATE TABLE `silence` (
  `nick` char(30) NOT NULL default '',
  `mask` varchar(105) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  `expiry` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`nick`,`mask`),
  KEY `nick` (`nick`)
) TYPE=MyISAM;

#
# Table structure for table 'svsop'
#

# DROP TABLE IF EXISTS svsop;
CREATE TABLE `svsop` (
  `nick` char(30) NOT NULL default '',
  `level` tinyint(3) unsigned NOT NULL default '0',
  `adder` char(30) NOT NULL default '',
  PRIMARY KEY  (`nick`)
) TYPE=MyISAM;

#
# Table structure for table 'user'
#

# DROP TABLE IF EXISTS user;
CREATE TABLE `user` (
  `id` int(11) unsigned NOT NULL default '0',
  `nick` char(30) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  `inval` tinyint(4) NOT NULL default '0',
  `ident` char(10) NOT NULL default '',
  `host` char(64) NOT NULL default '',
  `vhost` char(64) NOT NULL default '',
  `server` char(64) NOT NULL default '',
  `modes` char(30) NOT NULL default '',
  `gecos` char(50) NOT NULL default '',
  `guest` tinyint(1) NOT NULL default '0',
  `online` tinyint(1) unsigned NOT NULL default '0',
  `quittime` int(11) unsigned NOT NULL default '0',
  `ip` int(11) unsigned NOT NULL default '0',
  `flood` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nick` (`nick`),
  INDEX `ip` (`ip`)
) TYPE=HEAP;

#
# Table structure for table 'watch'
#

# DROP TABLE IF EXISTS watch;
CREATE TABLE `watch` (
  `nick` char(30) NOT NULL default '',
  `mask` varchar(105) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`nick`,`mask`),
  KEY `nick` (`nick`)
) TYPE=MyISAM;

#
# Table structure for table 'vhost'
#

CREATE TABLE `vhost` (
  `nick` char(30) NOT NULL default '',
  `ident` char(10) NOT NULL default '',
  `vhost` varchar(64) NOT NULL default '',
  `adder` char(30) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY (`nick`)
) TYPE=MyISAM;

#
# Table structure for table 'chanclose'
#

CREATE TABLE `chanclose` (
  `chan` char(30) NOT NULL default '',
  `nick` char(30) NOT NULL default '',
  `reason` text NOT NULL default '',
  `time` int(11) unsigned NOT NULL default '0',
  `type` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY (`chan`)
) TYPE=MyISAM;

#
# Table structure for table 'ms_ignore'
#

CREATE TABLE `ms_ignore` (
  `nick` char(30) NOT NULL default '',
  `ignorenick` char(30) NOT NULL default '',
  `time` int(11) unsigned NOT NULL default 0,
  `id` mediumint unsigned NOT NULL default 0,
  PRIMARY KEY (`nick`, `ignorenick`),
  UNIQUE KEY `nickid` (`nick`, `id`)
);
	    
#
# Table structure for table 'chanban'
#

CREATE TABLE `chanban` (
   `chan` varchar(32) NOT NULL default '',
   `mask` varchar(110) NOT NULL default '',
   `setter` varchar(30) NOT NULL default '',
   `time` int unsigned NOT NULL default 0,
   `type` tinyint(3) NOT NULL default 0,
   PRIMARY KEY (`chan`, `mask`, `type`)
) TYPE=HEAP;
